Vai al contenuto principale
POST
/
augment
/
search
/api/v1/augment/search
curl --request POST \
  --url https://api.venice.ai/api/v1/augment/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "query": "latest news about AI",
  "limit": 10,
  "search_provider": "brave"
}
'
{
  "query": "<string>",
  "results": [
    {
      "title": "<string>",
      "url": "<string>",
      "content": "<string>",
      "date": "<string>"
    }
  ]
}
Questa è un’API sperimentale. Il formato di richiesta e risposta può cambiare senza preavviso.
Invia una query di ricerca nel campo query. L’API restituisce risultati strutturati che includono titoli, URL, frammenti di contenuto e date. Provider di ricerca:
  • brave (predefinito) — Brave Search con Zero Data Retention (ZDR). Le query di ricerca non vengono mai memorizzate o registrate dal provider di ricerca.
  • google — Google Search con query anonimizzate. Le ricerche vengono inoltrate tramite l’infrastruttura di Venice, in modo che la tua identità non sia associata alla richiesta di ricerca inviata a Google. Venice non memorizza né registra le query di ricerca.
Prezzo: $0,01 per richiesta.

Esempio (cURL)

curl -X POST https://api.venice.ai/api/v1/augment/search \
  -H "Authorization: Bearer $VENICE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"query": "latest news about AI"}'

Autorizzazioni

Authorization
string
header
obbligatorio

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Corpo

application/json
query
string
obbligatorio

The search query

Required string length: 1 - 400
Esempio:

"latest news about AI"

limit
integer
predefinito:10

Maximum number of results to return (default: 10, max: 20)

Intervallo richiesto: 1 <= x <= 20
Esempio:

10

search_provider
enum<string>

Search provider to use. "brave" uses Brave Search with Zero Data Retention (ZDR) for maximum privacy — search queries are never stored or logged. "google" uses Google Search with anonymized queries — searches are proxied through Venice's infrastructure so that your identity is not associated with the search request sent to Google. Venice does not store or log search queries. Defaults to "brave".

Opzioni disponibili:
google,
brave
Esempio:

"brave"

Risposta

Successfully executed search

query
string
obbligatorio

The search query that was executed

results
object[]
obbligatorio

The search results